Subject: bug#1452: Acknowledgement (23.0.60; Problem with nextstep, longlines-mode,)

From: Andrew Hyatt <[email-masked]>
Date: Tue, 05 Jan 2016 21:12:19 +0000

On Tue, Jan 5, 2016 at 3:38 PM John Wiegley <[email-masked]> wrote:

> >>>>> Eli Zaretskii <[email-masked]> writes:
>
> >> It's in lisp/obsolete/.
> >> Eli thinks such things should still be fixed:
>
> > Unless the fix is complicated or risky or...
>
> If people want to fix bugs in lisp/obselete, they are free to do so because
> (a) the bug is open and (b) the code still exists in the distribution. Once
> the code is gone, we can close the bug as no longer pertaining to Emacs.
>

Has anyone considered putting these obsolete packages in the gnu ELPA?  I'm
not sure about the bug policy, but I'd guess that bugs shouldn't be filed
against ELPA packages.

>
> Until that time, don't feel an obligation to fix bugs in obsolete code that
> you aren't interested in fixing. There are higher priorities to address.
>

Perhaps we can lower the priority of these kinds of bug in that case to the
minimum, so it doesn't show up in the default list for debbugs?

>
> What this discussion objected to (as I read it) was establishing a policy
> of
> ignoring bugs in obsolete code.
>
> --
> John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
> http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2
>